import { Page } from "../view/page";
export declare class Router {
    private readonly routes;
    constructor();
    addRoute(route: Route): void;
    addRoutes(routes: Array<Route>): void;
    getRoute(path: string): Route;
    routeTo(path: string): void;
    private switchPage;
}
export declare class Route {
    path: string;
    page: Page;
    constructor(path: string, page: Page);
}
